# Created by pyp2rpm-3.3.2
%global pypi_name pypillowfight

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 1
Summary:        Library containing various image processing algorithms
Group:          Development/Python
License:        GPLv2
URL:            https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight
Source0:        https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight/-/archive/%{version}/libpillowfight-%{version}.tar.gz
# Because 32-bit does not necessarily support SSE2.
Patch0001:      0001-Do-not-override-compile-args.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
Library containing various image processing algorithms: Automatic Color
Equalization, Unpaper's algorithms, Stroke Width Transformation, etc

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pillow)

%description -n python3-%{pypi_name}
Library containing various image processing algorithms: Automatic Color
Equalization, Unpaper's algorithms, Stroke Width Transformation, etc


%prep
%autosetup -n libpillowfight-%{version} -p1

echo "#define INTERNAL_PILLOWFIGHT_VERSION \"%{version}\"" > src/pillowfight/_version.h

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pillowfight

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Jan 28 2025 daviddavid <daviddavid> 0.3.1-1.mga10
+ Revision: 2142901
- new version: 0.3.1

* Mon Jan 29 2024 papoteur <papoteur> 0.3.0-5.mga10
+ Revision: 2035915
- rebuild for python 3.12

* Fri Mar 18 2022 umeabot <umeabot> 0.3.0-4.mga9
+ Revision: 1799122
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.3.0-3.mga9
+ Revision: 1775578
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.3.0-2.mga9
+ Revision: 1717106
- rebuild for python 3.9

* Sat Feb 29 2020 wally <wally> 0.3.0-1.mga8
+ Revision: 1552101
- new version 0.3.0

* Sun Feb 16 2020 umeabot <umeabot> 0.2.4-3.mga8
+ Revision: 1533716
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.2.4-2.mga8
+ Revision: 1445347
- rebuild for python-3.8

* Thu Jan 17 2019 wally <wally> 0.2.4-1.mga7
+ Revision: 1357721
- imported package python-pypillowfight

